#
#
# V. Batagelj, 29.7.2010
# -------------------------------------------------------------------

encPrice <- list(
  "[950,2100]"   = function(x) x<=2100,
  "(2100,2800]"  = function(x) x<=2800,
  "(2800,3700]"  = function(x) x<=3700,
  "(3700,5000]"  = function(x) x<=5000,
  "(5000,6550]"  = function(x) x<=6550,
  "(6550,45000]" = function(x) x<=45000,
  "NA"           = function(x) TRUE )

levType <- c("LI","KL","EN","KA","KB","RO","TE","KU")

namesNumDoors <- c(2:5,"NA")
codeNumDoors <- function(x){
  if(is.na(x)) return(5)
  if((2<=x)&&(x<=5)) return(x-1)
  return(0)
}

namesNumPassen <- c(2:8,"NA")
codeNumPassen <- function(x){
  if(is.na(x)) return(8)
  if((2<=x)&&(x<=8)) return(x-1)
  return(0)
}

levMsite <- c("S","Z","SR")

levDrive <- c("S","Z","S4","E")

encLen <- list(
  "[2600,4010]"  = function(x) x<=4010,
  "(4010,4245]"  = function(x) x<=4245,
  "(4245,4470]"  = function(x) x<=4470,
  "(4470,4555]"  = function(x) x<=4555,
  "(4555,4761]"  = function(x) x<=4761,
  "(4761,6000]"  = function(x) x<=6000,
  "NA"           = function(x) TRUE )

encWid <- list(
  "[1350,1680]"  = function(x) x<=1680,
  "(1680,1700]"  = function(x) x<=1700,
  "(1700,1735]"  = function(x) x<=1735,
  "(1735,1780]"  = function(x) x<=1780,
  "(1780,1812]"  = function(x) x<=1812,
  "(1812,2000]"  = function(x) x<=2000,
  "NA"           = function(x) TRUE )

encHei <- list(
  "[1045,1388]"  = function(x) x<=1388,
  "(1388,1410]"  = function(x) x<=1410,
  "(1410,1420]"  = function(x) x<=1420,
  "(1420,1438]"  = function(x) x<=1438,
  "(1438,1490]"  = function(x) x<=1490,
  "(1490,2500]"  = function(x) x<=2500,
  "NA"           = function(x) TRUE )

encWba <- list(
  "[1450,2445]"  = function(x) x<=2445,
  "(2445,2510]"  = function(x) x<=2510,
  "(2510,2590]"  = function(x) x<=2590,
  "(2590,2680]"  = function(x) x<=2680,
  "(2680,2730]"  = function(x) x<=2730,
  "(2730,3500]"  = function(x) x<=3500,
  "NA"           = function(x) TRUE )

encLug <- list(
  "[75,279]"     = function(x) x<=279,
  "(279,360]"    = function(x) x<=360,
  "(360,429]"    = function(x) x<=429,
  "(429,480]"    = function(x) x<=480,
  "(480,560]"    = function(x) x<=560,
  "(560,5000]"   = function(x) x<=5000,
  "NA"           = function(x) TRUE )

levELu <- c("da","ne")

encFCa <- list(
  "[30,48]"      = function(x) x<=48,
  "(48,53]"      = function(x) x<=53,
  "(53,60]"      = function(x) x<=60,
  "(60,66]"      = function(x) x<=66,
  "(66,76]"      = function(x) x<=76,
  "(76,150]"     = function(x) x<=150,
  "NA"           = function(x) TRUE )

encWei <- list(
  "[225,940]"    = function(x) x<=940,
  "(940,1080]"   = function(x) x<=1080,
  "(1080,1220]"  = function(x) x<=1220,
  "(1220,1350]"  = function(x) x<=1350,
  "(1350,1540]"  = function(x) x<=1540,
  "(1540,3000]"  = function(x) x<=3000,
  "NA"           = function(x) TRUE )

encMlo <- list(
  "[70,455]"     = function(x) x<=455,
  "(455,490]"    = function(x) x<=490,
  "(490,515]"    = function(x) x<=515,
  "(515,550]"    = function(x) x<=550,
  "(550,650]"    = function(x) x<=650,
  "(650,3000]"   = function(x) x<=3000,
  "NA"           = function(x) TRUE )

encDsp <- list(
  "[796,1490]"   = function(x) x<=1490,
  "(1490,1690]"  = function(x) x<=1690,
  "(1690,1886]"  = function(x) x<=1886,
  "(1886,2000]"  = function(x) x<=2000,
  "(2000,2500]"  = function(x) x<=2500,
  "(2500,6000]"  = function(x) x<=6000,
  "NA"           = function(x) TRUE )

encMkw <- list(
  "[26,55]"      = function(x) x<=55,
  "(55,66]"      = function(x) x<=66,
  "(66,85]"      = function(x) x<=85,
  "(85,99]"      = function(x) x<=99,
  "(99,125]"     = function(x) x<=125,
  "(125,400]"    = function(x) x<=400,
  "NA"           = function(x) TRUE )

encMkm <- list(
  "[25,75]"      = function(x) x<=75,
  "(75,99]"      = function(x) x<=99,
  "(99,118]"     = function(x) x<=118,
  "(118,144]"    = function(x) x<=144,
  "(144,200]"    = function(x) x<=200,
  "(200,500]"    = function(x) x<=500,
  "NA"           = function(x) TRUE )

encRMp <- list(
  "[3400,4500]"  = function(x) x<=4500,
  "(4500,5250]"  = function(x) x<=5250,
  "(5250,5500]"  = function(x) x<=5500,
  "(5500,5700]"  = function(x) x<=5700,
  "(5700,6000]"  = function(x) x<=6000,
  "(6000,9000]"  = function(x) x<=9000,
  "NA"           = function(x) TRUE )

encMtq <- list(
  "[55,124]"     = function(x) x<=124,
  "(124,145]"    = function(x) x<=145,
  "(145,172]"    = function(x) x<=172,
  "(172,202]"    = function(x) x<=202,
  "(202,270]"    = function(x) x<=270,
  "(270,600]"    = function(x) x<=600,
  "NA"           = function(x) TRUE )

encRMt <- list(
  "[1600,2250]"  = function(x) x<=2250,
  "(2250,2950]"  = function(x) x<=2950,
  "(2950,3500]"  = function(x) x<=3500,
  "(3500,4000]"  = function(x) x<=4000,
  "(4000,4500]"  = function(x) x<=4500,
  "(4500,7000]"  = function(x) x<=7000,
  "NA"           = function(x) TRUE )

levTrans <- c("A3","A4","A5","R4","R5","R5*","R6","S5","T4","T5","RS")

levBreak <- c("K/B","K/K")

encFue <- list(
  "[3.6,5]"      = function(x) x<=5,
  "(5,5.6]"      = function(x) x<=5.6,
  "(5.6,6.1]"    = function(x) x<=6.1,
  "(6.1,6.9]"    = function(x) x<=6.9,
  "(6.9,8]"      = function(x) x<=8,
  "(8,20]"       = function(x) x<=20,
  "NA"           = function(x) TRUE )

encAcc <- list(
  "[4.4,9.1]"    = function(x) x<=9.1,
  "(9.1,10.6]"   = function(x) x<=10.6,
  "(10.6,11.6]"  = function(x) x<=11.6,
  "(11.6,12.9]"  = function(x) x<=12.9,
  "(12.9,15.3]"  = function(x) x<=15.3,
  "(15.3,32]"    = function(x) x<=32,
  "NA"           = function(x) TRUE )

encSpe <- list(
  "[130,163]"    = function(x) x<=163,
  "(163,174]"    = function(x) x<=174,
  "(174,187]"    = function(x) x<=187,
  "(187,200]"    = function(x) x<=200,
  "(200,215]"    = function(x) x<=215,
  "(215,400]"    = function(x) x<=400,
  "NA"           = function(x) TRUE )
